petsc-3.6.2 2015-10-02
Report Typos and Errors

# AOCreateMapping

Creates a basic application mapping using two integer arrays.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreateMapping(MPI_Comm comm,PetscInt napp,const PetscInt myapp[],const PetscInt mypetsc[],AO *aoout)

### Input Parameters

| comm | - MPI communicator that is to share AO
| napp | - size of integer arrays
| myapp | - integer array that defines an ordering
| mypetsc | - integer array that defines another ordering (may be NULL to indicate the identity ordering)

### Output Parameter

aoout -the new application mapping

### Options Database Key

-ao_view : call AOView() at the conclusion of AOCreateMapping() -

Notes: the arrays myapp and mypetsc need NOT contain the all the integers 0 to napp-1, that is there CAN be "holes" in the indices. Use AOCreateBasic() or AOCreateBasicIS() if they do not have holes for better performance.

### Keywords

AO, create

### See Also

AOCreateBasic(), AOCreateBasic(), AOCreateMappingIS(), AODestroy()

Level:beginner
Location:src/vec/is/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages